﻿
<div class="modal fade" data-backdrop="static" data-keyboard="false" id="PositionModal" tabindex="-1" role="dialog" aria-labelledby="PositionModal" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" onclick="function close(){window.location.reload(true)};close()" class="btn btn-danger btn-xs pull-right" ><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b >@Resources.Content.ManagePosition</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-6">
                        <input id="positionid" name="positionid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <div class="form-group">
                            <label for="positionname">@Resources.Content.Name</label>
                            <input id="positionname" name="positionname" placeholder="Enter Position" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="positionnamekh">@Resources.Content.NameKh</label>
                            <input id="positionnamekh" name="positionnamekh" placeholder="Enter Position Khmer" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-12">
                        <button type="button" id="btnAddPosition" onclick="AddPositionAction()" class="btn btn-primary btn-sm" value=""><span class="glyphicon glyphicon-plus"></span> @Resources.Content.AddNew</button>
                        <button type="button" id="btnSavePosition" onclick="SavePositionAction()"  class="btn btn-info btn-sm" value=""><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>
                        <button type="button" id="btnUpdatePosition" onclick="UpdatePositionAction()" class="btn btn-success btn-sm"><span class="glyphicon glyphicon-refresh"></span> @Resources.Content.Update</button>
                    </div>
                </div>
                <hr />
                <div class="row">
                    <div class="col-md-12">
                        <table class="table-hover table-bordered table-condensed table-striped" style="width:100%" id="positionTable">
                            <thead>
                                <tr>
                                    <th>@Resources.Content.No</th>
                                    <th>@Resources.Content.Name</th>
                                    <th>@Resources.Content.NameKh</th>
                                    <th style="width:10%">@Resources.Content.Action</th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>

    </div>
</div>

<script>
    function AddPositionAction() {
        $('#btnAddPosition').hide();
        $('#btnSavePosition').show();
        $('#btnUpdatePosition').hide();

        document.getElementById('positionname').disabled = false;
        document.getElementById('positionnamekh').disabled = false;

        $('#positionname').val('');
        $('#positionnamekh').val('');
        $('#positionname').focus();
    }

    function SavePositionAction() {
        if ($('#positionname').val().trim() == "") {
            $('#positionname').css('border-color', 'red');
            $('#positionname').focus();
            return false;
        }
        if ($('#positionnamekh').val().trim() == "") {
            $('#positionnamekh').css('border-color', 'red');
            $('#positionnamekh').focus();
            return false;
        }


        var dataSave = {
            positionname: $('#positionname').val(),
            positionnamekh: $('#positionnamekh').val(),
            status: 'True',
        };

        $.ajax({
            url: "/api/position",
            data: JSON.stringify(dataSave),
            type: "POST",
            contentType: "application/json;charset=utf-8",
            datatype: "json",
            success: function (result) {
                toastr.success("Position has been created successfully.", "Server Response");
                tablePosition.ajax.reload();
                document.getElementById('btnPosition').innerText = "Add New";
                $('#positionname').val('');
                document.getElementById('positionname').disabled = true;
                document.getElementById('positionnamekh').disabled = true;
                document.getElementById('status').disabled = true;

                $('#btnAddPosition').show();
                $('#btnSavePosition').hide();
                $('#btnUpdatePosition').hide();
            },
            error: function (errormessage) {
                toastr.error("This Position is already exists in Database", "Service Response");
            }
        })
    }

    function UpdatePositionAction() {
        if ($('#positionname').val().trim() == "") {
            $('#positionname').css('border-color', 'red');
            $('#positionname').focus();
            toastr.info('Please enter position .', "Server Response")
        } else {
            $('#positionname').css('border-color', '#cccccc');
            if ($('#positionnamekh').val().trim() == "") {
                $('#positionnamekh').css('border-color', 'red');
                $('#positionnamekh').focus();
                toastr.info('Please enter Position Name English.', "Server Response")
            } else {
                $('#positionnamekh').css('border-color', '#cccccc');
            }

            var data = {
                id: $('#positionid').val(),
                positionname: $('#positionname').val(),
                positionnamekh: $('#positionnamekh').val(),
                status: 'True',
            };

            //console.log(data);

            $.ajax({
                url: "/api/position/" + data.id,
                data: JSON.stringify(data),
                type: "PUT",
                contentType: "application/json;charset=utf-8",
                datatype: "json",
                success: function (result) {
                    toastr.success("Update data successfully.", "Server Response");
                    tablePosition.ajax.reload();

                    $('#positionname').val('');
                    $('#positionnamekh').val('');
                    document.getElementById('positionname').disabled = true;
                    document.getElementById('positionnamekh').disabled = true;

                    $('#btnAddPosition').show();
                    $('#btnSavePosition').hide();
                    $('#btnUpdatePosition').hide();
                },
                error: function (errormessage) {
                    toastr.error("This Position is already exists in Database", "Service Response");
                }
            })
        }
    }
</script>